Bug 1470705 - Review Request: perl-Log-ger - Lightweight, flexible logging framework
Review Request: perl-Log-ger - Lightweight, flexible logging framework
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On: 1470678
Blocks: 1469515
  Show dependency treegraph
 
Reported: 2017-07-13 09:44 EDT by Jitka Plesnikova
Modified: 2017-08-03 08:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Log-ger-0.023-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 08:49:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2017-07-13 09:44:47 EDT
Spec URL: https://jplesnik.fedorapeople.org/perl-Log-ger/perl-Log-ger.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Log-ger/perl-Log-ger-0.015-1.fc27.src.rpm

Description:
This module provides another lightweight, flexible logging framework.

Fedora Account System Username: jplesnik@redhat.com
Comment 1 Petr Pisar 2017-08-02 06:37:18 EDT
The Source0 URL does not work because upstream removed it from CPAN. Please rebase this package to the latest upstream.
Comment 3 Petr Pisar 2017-08-03 03:16:32 EDT
URL and Source0 addresses are Ok.
Source0 archive (SHA-256: ad536c15c4060cd7e81e2f218d7671dc3f2660ee06776543d9465f731482d659) is original. Ok.
Summary verified from README. Ok.

TODO: The description is about `this module' but the package contains many modules. I recommend to replace it with 'These Perl modules' or `The Log::ger Perl module'.

License verified from LICENSE, lib/Log/ger/Heavy.pm and other module files. Ok.
No XS code, noarch BuildArch is Ok.

FIX: Do not build-require both `perl(Data::Dumper). lib/Log/ger/Util.pm does not use it if Data::Dmp is available.

FIX: Build-require `perl(blib)' for tests (t/00-compile.t:32).

Pod::Coverage::TrustPod, Test::Pod::Coverage, Test::Perl::Critic, Test::Pod are not used. Ok.
All tests pass. Ok.

$ rpmlint perl-Log-ger.spec ../SRPMS/perl-Log-ger-0.021-1.fc27.src.rpm ../RPMS/noarch/perl-Log-ger-0.021-1.fc27.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Log-ger-0.021-1.fc27.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.26.0)
      1 perl(Data::Dmp) >= 0.21
      1 perl(Log::ger)
      1 perl(Log::ger::Heavy)
      1 perl(Log::ger::Plugin)
      1 perl(Log::ger::Util)
      1 perl(parent)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Log-ger-0.021-1.fc27.noarch.rpm | sort -f | uniq -c
      1 perl(Log::ger) = 0.021
      1 perl(Log::ger::Format) = 0.021
      1 perl(Log::ger::Format::None) = 0.021
      1 perl(Log::ger::Heavy) = 0.021
      1 perl(Log::ger::Layout) = 0.021
      1 perl(Log::ger::Output) = 0.021
      1 perl(Log::ger::Output::Array) = 0.021
      1 perl(Log::ger::Output::ArrayML) = 0.021
      1 perl(Log::ger::Output::Null) = 0.021
      1 perl(Log::ger::Output::String) = 0.021
      1 perl(Log::ger::Plugin) = 0.021
      1 perl(Log::ger::Plugin::MultilevelLog) = 0.021
      1 perl(Log::ger::Util) = 0.021
      1 perl-Log-ger = 0.021-1.fc27
Binary provides are Ok.

$ resolvedeps f27-build ../RPMS/noarch/perl-Log-ger-0.021-1.fc27.noarch.rpm 
Binary dependencies resolvable. Ok.

The package builds in F27 (https://koji.fedoraproject.org/koji/taskinfo?taskID=21002674). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct the `FIX' items and consider fixing the `TODO' item before building this package.
Resolution: Package APPROVED.
Comment 4 Gwyn Ciesla 2017-08-03 08:21:45 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Log-ger
Comment 5 Jitka Plesnikova 2017-08-03 08:49:41 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.